/* SETPAL.C -- SET RGB Pallette using BIOS INT 10H */
#include "graphics.h"

void usage(void);

main(argc,argv)
int argc;
char *argv[];
     {
          int red, green, blue;
          int driver;         /* video driver */
          int index;    /* foreground/background */

          if(argc != 5)
               {
                    usage();
                    exit(-1);
               }
          if(!strcmpi(argv[1], "text"))
               {
                    index = 7;
               }
          else if(!strcmpi(argv[1], "background"))
               {
                    index = 512;
               }
          else
               {
                    usage();
                    exit(-1);
               }

          sscanf( argv[2], "%d", &red );
          sscanf( argv[3], "%d", &green );
          sscanf( argv[4], "%d", &blue );

          blue &= 0xff;
          red &= 0xff;
          green &= 0xff;

          SetAnalogHue(red, green, blue, index);
          exit(0);
     }
          

void usage()
     {
          printf("Usage: SETPAL element red_val green_val blue_val \n");
          printf("element = TEXT or BACKGROUND\n");
     }

